/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __ASYNC_STACK_DEPTH_SKEL_H__
#define __ASYNC_STACK_DEPTH_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct async_stack_depth {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *hmap;
	} maps;
	struct {
		struct bpf_program *pseudo_call_check;
		struct bpf_program *async_call_root_check;
	} progs;
	struct {
		struct bpf_link *pseudo_call_check;
		struct bpf_link *async_call_root_check;
	} links;

#ifdef __cplusplus
	static inline struct async_stack_depth *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct async_stack_depth *open_and_load();
	static inline int load(struct async_stack_depth *skel);
	static inline int attach(struct async_stack_depth *skel);
	static inline void detach(struct async_stack_depth *skel);
	static inline void destroy(struct async_stack_depth *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
async_stack_depth__destroy(struct async_stack_depth *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
async_stack_depth__create_skeleton(struct async_stack_depth *obj);

static inline struct async_stack_depth *
async_stack_depth__open_opts(const struct bpf_object_open_opts *opts)
{
	struct async_stack_depth *obj;
	int err;

	obj = (struct async_stack_depth *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = async_stack_depth__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	async_stack_depth__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct async_stack_depth *
async_stack_depth__open(void)
{
	return async_stack_depth__open_opts(NULL);
}

static inline int
async_stack_depth__load(struct async_stack_depth *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct async_stack_depth *
async_stack_depth__open_and_load(void)
{
	struct async_stack_depth *obj;
	int err;

	obj = async_stack_depth__open();
	if (!obj)
		return NULL;
	err = async_stack_depth__load(obj);
	if (err) {
		async_stack_depth__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
async_stack_depth__attach(struct async_stack_depth *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
async_stack_depth__detach(struct async_stack_depth *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *async_stack_depth__elf_bytes(size_t *sz);

static inline int
async_stack_depth__create_skeleton(struct async_stack_depth *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "async_stack_depth";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "hmap";
	s->maps[0].map = &obj->maps.hmap;

	/* programs */
	s->prog_cnt = 2;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "pseudo_call_check";
	s->progs[0].prog = &obj->progs.pseudo_call_check;
	s->progs[0].link = &obj->links.pseudo_call_check;

	s->progs[1].name = "async_call_root_check";
	s->progs[1].prog = &obj->progs.async_call_root_check;
	s->progs[1].link = &obj->links.async_call_root_check;

	s->data = (void *)async_stack_depth__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *async_stack_depth__elf_bytes(size_t *sz)
{
	*sz = 6200;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x15\xb8\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0a\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\x65\
\x78\x74\0\x74\x63\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x61\
\x73\x79\x6e\x63\x5f\x73\x74\x61\x63\x6b\x5f\x64\x65\x70\x74\x68\x2e\x63\0\x4c\
\x42\x42\x30\x5f\x32\0\x74\x69\x6d\x65\x72\x5f\x63\x62\0\x4c\x42\x42\x32\x5f\
\x32\0\x62\x61\x64\x5f\x74\x69\x6d\x65\x72\x5f\x63\x62\0\x70\x73\x65\x75\x64\
\x6f\x5f\x63\x61\x6c\x6c\x5f\x63\x68\x65\x63\x6b\0\x68\x6d\x61\x70\0\x61\x73\
\x79\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x72\x6f\x6f\x74\x5f\x63\x68\x65\x63\x6b\0\
\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x74\x63\0\x2e\x42\x54\x46\0\
\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x28\x04\0\xff\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x04\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x3c\0\0\0\x04\0\0\0\0\0\0\x01\xb8\0\0\0\0\0\0\0\0\0\0\
\0\x43\x02\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x48\0\0\0\x4c\0\0\0\x04\0\0\
\0\0\0\0\x03\x70\0\0\0\0\0\0\0\0\0\0\0\x53\x02\0\0\x03\0\0\0\0\0\0\x01\x48\0\0\
\0\0\0\0\x01\x88\0\0\0\x60\x12\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\xc8\0\0\
\0\x72\x11\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\x77\x12\0\0\x04\0\0\
\0\0\0\0\x01\xc8\0\0\0\0\0\0\x01\xb8\0\0\0\x8d\x11\0\0\x06\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x04\xb7\x10\0\0\0\0\0\0\x7b\xa1\xff\xb8\0\0\0\0\x7b\xa1\xff\xc0\0\0\
\0\0\x7b\xa1\xff\xc8\0\0\0\0\x7b\xa1\xff\xd0\0\0\0\0\x7b\xa1\xff\xd8\0\0\0\0\
\x7b\xa1\xff\xe0\0\0\0\0\x7b\xa1\xff\xe8\0\0\0\0\x7b\xa1\xff\xf0\0\0\0\0\xb4\
\x20\0\0\0\0\0\0\x63\xa2\xff\xf8\0\0\0\0\x73\xa2\xff\xfc\0\0\0\0\x73\xa2\xff\
\xb7\0\0\0\0\x6b\xa2\xff\xb0\0\0\0\0\x7b\xa1\xff\xa8\0\0\0\0\x7b\xa1\xff\xa0\0\
\0\0\0\x7b\xa1\xff\x98\0\0\0\0\x7b\xa1\xff\x90\0\0\0\0\x7b\xa1\xff\x88\0\0\0\0\
\x7b\xa1\xff\x80\0\0\0\0\x7b\xa1\xff\x78\0\0\0\0\x7b\xa1\xff\x70\0\0\0\0\x7b\
\xa1\xff\x68\0\0\0\0\x7b\xa1\xff\x60\0\0\0\0\x7b\xa1\xff\x58\0\0\0\0\x7b\xa1\
\xff\x50\0\0\0\0\x7b\xa1\xff\x48\0\0\0\0\x7b\xa1\xff\x40\0\0\0\0\x7b\xa1\xff\
\x38\0\0\0\0\x7b\xa1\xff\x30\0\0\0\0\x7b\xa1\xff\x28\0\0\0\0\x7b\xa1\xff\x20\0\
\0\0\0\x7b\xa1\xff\x18\0\0\0\0\x7b\xa1\xff\x10\0\0\0\0\x7b\xa1\xff\x08\0\0\0\0\
\x7b\xa1\xff\0\0\0\0\0\x7b\xa1\xfe\xf8\0\0\0\0\x71\x0a\xff\xb7\0\0\0\0\x64\0\0\
\0\0\0\0\x18\xc4\0\0\0\0\0\0\x18\x95\0\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\0\x7b\xa1\
\xff\0\0\0\0\0\x7b\xa1\xff\x08\0\0\0\0\x7b\xa1\xff\x10\0\0\0\0\x7b\xa1\xff\x18\
\0\0\0\0\x7b\xa1\xff\x20\0\0\0\0\x7b\xa1\xff\x28\0\0\0\0\x7b\xa1\xff\x30\0\0\0\
\0\x7b\xa1\xff\x38\0\0\0\0\x7b\xa1\xff\x40\0\0\0\0\x7b\xa1\xff\x48\0\0\0\0\x7b\
\xa1\xff\x50\0\0\0\0\x7b\xa1\xff\x58\0\0\0\0\x7b\xa1\xff\x60\0\0\0\0\x7b\xa1\
\xff\x68\0\0\0\0\x7b\xa1\xff\x70\0\0\0\0\x7b\xa1\xff\x78\0\0\0\0\x7b\xa1\xff\
\x80\0\0\0\0\x7b\xa1\xff\x88\0\0\0\0\x7b\xa1\xff\x90\0\0\0\0\x7b\xa1\xff\x98\0\
\0\0\0\x7b\xa1\xff\xa0\0\0\0\0\x7b\xa1\xff\xa8\0\0\0\0\x7b\xa1\xff\xb0\0\0\0\0\
\x7b\xa1\xff\xb8\0\0\0\0\x7b\xa1\xff\xc0\0\0\0\0\x7b\xa1\xff\xc8\0\0\0\0\x7b\
\xa1\xff\xd0\0\0\0\0\x7b\xa1\xff\xd8\0\0\0\0\x7b\xa1\xff\xe0\0\0\0\0\x7b\xa1\
\xff\xe8\0\0\0\0\x7b\xa1\xff\xf0\0\0\0\0\xb4\x20\0\0\0\0\0\0\x63\xa2\xff\xf8\0\
\0\0\0\x6b\xa2\xff\xfc\0\0\0\0\x73\xa2\xff\xfe\0\0\0\0\x73\xa2\xfe\xff\0\0\0\0\
\x63\xa2\xfe\xf8\0\0\0\0\x7b\xa1\xfe\xf0\0\0\0\0\x7b\xa1\xfe\xe8\0\0\0\0\x7b\
\xa1\xfe\xe0\0\0\0\0\x7b\xa1\xfe\xd8\0\0\0\0\x7b\xa1\xfe\xd0\0\0\0\0\x71\x6a\
\xfe\xff\0\0\0\0\x64\x60\0\0\0\0\0\x18\xc4\x60\0\0\0\0\0\x18\x85\x01\0\0\xff\
\xff\xff\xa8\x0c\x06\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\x60\0\0\0\0\0\0\x73\xa6\
\xff\xff\0\0\0\0\xb7\x10\0\0\0\0\0\0\x7b\xa1\xff\xf0\0\0\0\0\x7b\xa1\xff\xe8\0\
\0\0\0\x7b\xa1\xff\xe0\0\0\0\0\x7b\xa1\xff\xd8\0\0\0\0\x7b\xa1\xff\xd0\0\0\0\0\
\x7b\xa1\xff\xc8\0\0\0\0\x7b\xa1\xff\xc0\0\0\0\0\x7b\xa1\xff\xb8\0\0\0\0\x7b\
\xa1\xff\xb0\0\0\0\0\x7b\xa1\xff\xa8\0\0\0\0\x7b\xa1\xff\xa0\0\0\0\0\x7b\xa1\
\xff\x98\0\0\0\0\x7b\xa1\xff\x90\0\0\0\0\x7b\xa1\xff\x88\0\0\0\0\x7b\xa1\xff\
\x80\0\0\0\0\x7b\xa1\xff\x78\0\0\0\0\x7b\xa1\xff\x70\0\0\0\0\x7b\xa1\xff\x68\0\
\0\0\0\x7b\xa1\xff\x60\0\0\0\0\x7b\xa1\xff\x58\0\0\0\0\x7b\xa1\xff\x50\0\0\0\0\
\x7b\xa1\xff\x48\0\0\0\0\x7b\xa1\xff\x40\0\0\0\0\x7b\xa1\xff\x38\0\0\0\0\x7b\
\xa1\xff\x30\0\0\0\0\x7b\xa1\xff\x28\0\0\0\0\x7b\xa1\xff\x20\0\0\0\0\x7b\xa1\
\xff\x18\0\0\0\0\x7b\xa1\xff\x10\0\0\0\0\x7b\xa1\xff\x08\0\0\0\0\x7b\xa1\xff\0\
\0\0\0\0\x73\xa6\xff\xfe\0\0\0\0\x6b\xa6\xff\xfc\0\0\0\0\x63\xa6\xff\xf8\0\0\0\
\0\x63\xa6\xfe\xfc\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xfe\xfc\x18\
\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\xbf\x70\0\0\0\0\0\0\x15\
\x70\0\x0a\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\xbf\x17\0\0\0\0\0\0\x18\x20\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\xaa\xbf\x60\0\0\0\0\0\0\x71\x1a\xff\
\xff\0\0\0\0\x64\x10\0\0\0\0\0\x18\xc4\x10\0\0\0\0\0\x18\x0c\x61\0\0\0\0\0\0\
\xbc\x06\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\x60\0\0\0\0\0\0\x73\xa6\xff\xff\0\0\
\0\0\xb7\x10\0\0\0\0\0\0\x7b\xa1\xff\xf0\0\0\0\0\x7b\xa1\xff\xe8\0\0\0\0\x7b\
\xa1\xff\xe0\0\0\0\0\x7b\xa1\xff\xd8\0\0\0\0\x7b\xa1\xff\xd0\0\0\0\0\x7b\xa1\
\xff\xc8\0\0\0\0\x7b\xa1\xff\xc0\0\0\0\0\x7b\xa1\xff\xb8\0\0\0\0\x7b\xa1\xff\
\xb0\0\0\0\0\x7b\xa1\xff\xa8\0\0\0\0\x7b\xa1\xff\xa0\0\0\0\0\x7b\xa1\xff\x98\0\
\0\0\0\x7b\xa1\xff\x90\0\0\0\0\x7b\xa1\xff\x88\0\0\0\0\x7b\xa1\xff\x80\0\0\0\0\
\x7b\xa1\xff\x78\0\0\0\0\x7b\xa1\xff\x70\0\0\0\0\x7b\xa1\xff\x68\0\0\0\0\x7b\
\xa1\xff\x60\0\0\0\0\x7b\xa1\xff\x58\0\0\0\0\x7b\xa1\xff\x50\0\0\0\0\x7b\xa1\
\xff\x48\0\0\0\0\x7b\xa1\xff\x40\0\0\0\0\x7b\xa1\xff\x38\0\0\0\0\x7b\xa1\xff\
\x30\0\0\0\0\x7b\xa1\xff\x28\0\0\0\0\x7b\xa1\xff\x20\0\0\0\0\x7b\xa1\xff\x18\0\
\0\0\0\x7b\xa1\xff\x10\0\0\0\0\x7b\xa1\xff\x08\0\0\0\0\x7b\xa1\xff\0\0\0\0\0\
\x73\xa6\xff\xfe\0\0\0\0\x6b\xa6\xff\xfc\0\0\0\0\x63\xa6\xff\xf8\0\0\0\0\x63\
\xa6\xfe\xfc\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xfe\xfc\x18\x10\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\x15\0\0\x09\0\0\0\0\xbf\x10\0\0\
\0\0\0\0\x18\x20\0\0\0\0\x01\x48\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\xaa\xbf\x60\0\
\0\0\0\0\0\x71\x1a\xff\xff\0\0\0\0\x64\x10\0\0\0\0\0\x18\xc4\x10\0\0\0\0\0\x18\
\x0c\x61\0\0\0\0\0\0\xbc\x06\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\
\x01\x40\0\0\0\x09\0\0\0\x01\0\0\0\0\0\0\x01\x68\0\0\0\x02\0\0\0\x0a\0\0\0\0\0\
\0\x01\x78\0\0\0\x02\0\0\0\x01\0\0\0\0\0\0\x03\x08\0\0\0\x09\0\0\0\x01\0\0\0\0\
\0\0\x03\x30\0\0\0\x02\0\0\0\x01\xeb\x9f\x01\0\0\0\0\x18\0\0\0\0\0\0\x04\xac\0\
\0\x04\xac\0\0\x05\xbe\0\0\0\0\x02\0\0\0\0\0\0\x03\0\0\0\x01\x01\0\0\0\0\0\0\
\x04\x01\0\0\x20\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\
\x05\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x02\0\0\0\0\0\0\x06\0\0\0\0\x03\0\0\
\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x40\0\0\0\0\x02\0\0\0\0\0\0\x02\0\0\0\0\
\x02\0\0\0\0\0\0\x09\0\0\0\x19\x04\0\0\x01\0\0\0\x10\0\0\0\x23\0\0\0\x0a\0\0\0\
\0\0\0\0\x29\x04\0\0\0\0\0\0\x10\0\0\0\0\x04\0\0\x04\0\0\0\x20\0\0\0\x33\0\0\0\
\x01\0\0\0\0\0\0\0\x38\0\0\0\x05\0\0\0\x40\0\0\0\x44\0\0\0\x07\0\0\0\x80\0\0\0\
\x48\0\0\0\x08\0\0\0\xc0\0\0\0\x4e\x0e\0\0\0\0\0\0\x0b\0\0\0\x01\0\0\0\0\x02\0\
\0\0\0\0\0\x0e\0\0\0\x53\x04\0\0\x22\0\0\0\xc0\0\0\0\x5d\0\0\0\x0f\0\0\0\0\0\0\
\0\x61\0\0\0\x0f\0\0\0\x20\0\0\0\x6a\0\0\0\x0f\0\0\0\x40\0\0\0\x6f\0\0\0\x0f\0\
\0\0\x60\0\0\0\x7d\0\0\0\x0f\0\0\0\x80\0\0\0\x86\0\0\0\x0f\0\0\0\xa0\0\0\0\x93\
\0\0\0\x0f\0\0\0\xc0\0\0\0\x9c\0\0\0\x0f\0\0\0\xe0\0\0\0\xa7\0\0\0\x0f\0\0\x01\
\0\0\0\0\xb0\0\0\0\x0f\0\0\x01\x20\0\0\0\xc0\0\0\0\x0f\0\0\x01\x40\0\0\0\xc8\0\
\0\0\x0f\0\0\x01\x60\0\0\0\xd1\0\0\0\x11\0\0\x01\x80\0\0\0\xd4\0\0\0\x0f\0\0\
\x02\x20\0\0\0\xd9\0\0\0\x0f\0\0\x02\x40\0\0\0\xe4\0\0\0\x0f\0\0\x02\x60\0\0\0\
\xe9\0\0\0\x0f\0\0\x02\x80\0\0\0\xf2\0\0\0\x0f\0\0\x02\xa0\0\0\0\xfa\0\0\0\x0f\
\0\0\x02\xc0\0\0\x01\x01\0\0\0\x0f\0\0\x02\xe0\0\0\x01\x0c\0\0\0\x0f\0\0\x03\0\
\0\0\x01\x16\0\0\0\x12\0\0\x03\x20\0\0\x01\x21\0\0\0\x12\0\0\x03\xa0\0\0\x01\
\x2b\0\0\0\x0f\0\0\x04\x20\0\0\x01\x37\0\0\0\x0f\0\0\x04\x40\0\0\x01\x42\0\0\0\
\x0f\0\0\x04\x60\0\0\0\0\0\0\0\x13\0\0\x04\x80\0\0\x01\x4c\0\0\0\x15\0\0\x04\
\xc0\0\0\x01\x53\0\0\0\x0f\0\0\x05\0\0\0\x01\x5c\0\0\0\x0f\0\0\x05\x20\0\0\0\0\
\0\0\0\x17\0\0\x05\x40\0\0\x01\x65\0\0\0\x0f\0\0\x05\x80\0\0\x01\x6e\0\0\0\x19\
\0\0\x05\xa0\0\0\x01\x7a\0\0\0\x15\0\0\x05\xc0\0\0\x01\x83\x08\0\0\0\0\0\0\x10\
\0\0\x01\x89\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x0f\
\0\0\0\x04\0\0\0\x05\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x0f\0\0\0\x04\0\0\0\x04\0\
\0\0\0\x05\0\0\x01\0\0\0\x08\0\0\x01\x96\0\0\0\x14\0\0\0\0\0\0\0\0\x02\0\0\0\0\
\0\0\x2b\0\0\x01\xa0\x08\0\0\0\0\0\0\x16\0\0\x01\xa6\x01\0\0\0\0\0\0\x08\0\0\0\
\x40\0\0\0\0\x05\0\0\x01\0\0\0\x08\0\0\x01\xb9\0\0\0\x18\0\0\0\0\0\0\0\0\x02\0\
\0\0\0\0\0\x2a\0\0\x01\xbc\x08\0\0\0\0\0\0\x1a\0\0\x01\xc1\x01\0\0\0\0\0\0\x01\
\0\0\0\x08\0\0\0\0\x0d\0\0\x01\0\0\0\x02\0\0\x01\xcf\0\0\0\x0d\0\0\x01\xd3\x0c\
\0\0\x01\0\0\0\x1b\0\0\x01\xe5\x11\0\0\0\0\0\0\x1c\xff\xff\xff\xff\0\0\x02\x01\
\x11\0\0\0\0\0\0\x1c\xff\xff\xff\xff\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\
\0\0\0\0\x0a\0\0\0\0\x0d\0\0\x03\0\0\0\x02\0\0\x02\x4a\0\0\0\x1f\0\0\0\x44\0\0\
\0\x07\0\0\0\x23\0\0\0\x20\0\0\x02\x4e\x0c\0\0\0\0\0\0\x21\0\0\x02\x57\x0c\0\0\
\x01\0\0\0\x1b\0\0\x01\xe5\x11\0\0\0\0\0\0\x23\xff\xff\xff\xff\0\0\x02\x6d\x11\
\0\0\0\0\0\0\x23\xff\xff\xff\xff\0\0\x02\xb6\x0c\0\0\0\0\0\0\x21\0\0\x02\xc3\
\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\x04\
\0\0\0\x04\0\0\x02\xc8\x0e\0\0\0\0\0\0\x28\0\0\0\x01\0\0\x02\xd1\x07\0\0\0\0\0\
\0\0\0\0\x02\xda\x07\0\0\0\0\0\0\0\0\0\x05\xa7\x0f\0\0\x01\0\0\0\x20\0\0\0\x0c\
\0\0\0\0\0\0\0\x20\0\0\x05\xad\x0f\0\0\x01\0\0\0\x04\0\0\0\x29\0\0\0\0\0\0\0\
\x04\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\
\x59\x50\x45\x5f\x5f\0\x68\x6d\x61\x70\x5f\x65\x6c\x65\x6d\0\x74\x69\x6d\x65\
\x72\0\x62\x70\x66\x5f\x74\x69\x6d\x65\x72\0\x74\x79\x70\x65\0\x6d\x61\x78\x5f\
\x65\x6e\x74\x72\x69\x65\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x68\x6d\x61\
\x70\0\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\0\x6c\x65\x6e\0\x70\x6b\x74\x5f\x74\
\x79\x70\x65\0\x6d\x61\x72\x6b\0\x71\x75\x65\x75\x65\x5f\x6d\x61\x70\x70\x69\
\x6e\x67\0\x70\x72\x6f\x74\x6f\x63\x6f\x6c\0\x76\x6c\x61\x6e\x5f\x70\x72\x65\
\x73\x65\x6e\x74\0\x76\x6c\x61\x6e\x5f\x74\x63\x69\0\x76\x6c\x61\x6e\x5f\x70\
\x72\x6f\x74\x6f\0\x70\x72\x69\x6f\x72\x69\x74\x79\0\x69\x6e\x67\x72\x65\x73\
\x73\x5f\x69\x66\x69\x6e\x64\x65\x78\0\x69\x66\x69\x6e\x64\x65\x78\0\x74\x63\
\x5f\x69\x6e\x64\x65\x78\0\x63\x62\0\x68\x61\x73\x68\0\x74\x63\x5f\x63\x6c\x61\
\x73\x73\x69\x64\0\x64\x61\x74\x61\0\x64\x61\x74\x61\x5f\x65\x6e\x64\0\x6e\x61\
\x70\x69\x5f\x69\x64\0\x66\x61\x6d\x69\x6c\x79\0\x72\x65\x6d\x6f\x74\x65\x5f\
\x69\x70\x34\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x34\0\x72\x65\x6d\x6f\x74\x65\
\x5f\x69\x70\x36\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x36\0\x72\x65\x6d\x6f\x74\
\x65\x5f\x70\x6f\x72\x74\0\x6c\x6f\x63\x61\x6c\x5f\x70\x6f\x72\x74\0\x64\x61\
\x74\x61\x5f\x6d\x65\x74\x61\0\x74\x73\x74\x61\x6d\x70\0\x77\x69\x72\x65\x5f\
\x6c\x65\x6e\0\x67\x73\x6f\x5f\x73\x65\x67\x73\0\x67\x73\x6f\x5f\x73\x69\x7a\
\x65\0\x74\x73\x74\x61\x6d\x70\x5f\x74\x79\x70\x65\0\x68\x77\x74\x73\x74\x61\
\x6d\x70\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\
\x74\0\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\
\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x73\x6b\0\x5f\
\x5f\x75\x38\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x63\x68\x61\x72\0\x63\x74\
\x78\0\x70\x73\x65\x75\x64\x6f\x5f\x63\x61\x6c\x6c\x5f\x63\x68\x65\x63\x6b\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\
\x5f\x66\x61\x69\x6c\x75\x72\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x63\x6f\x6d\x62\x69\x6e\
\x65\x64\x20\x73\x74\x61\x63\x6b\x20\x73\x69\x7a\x65\x20\x6f\x66\x20\x32\x20\
\x63\x61\x6c\x6c\x73\x20\x69\x73\x20\x35\x37\x36\x2e\x20\x54\x6f\x6f\x20\x6c\
\x61\x72\x67\x65\0\x6d\x61\x70\0\x74\x69\x6d\x65\x72\x5f\x63\x62\0\x61\x73\x79\
\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x72\x6f\x6f\x74\x5f\x63\x68\x65\x63\x6b\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x6d\x73\x67\x3d\x63\x6f\x6d\x62\x69\x6e\x65\x64\x20\x73\x74\x61\x63\x6b\x20\
\x73\x69\x7a\x65\x20\x6f\x66\x20\x32\x20\x63\x61\x6c\x6c\x73\x20\x69\x73\x20\
\x36\x30\x38\x2e\x20\x54\x6f\x6f\x20\x6c\x61\x72\x67\x65\0\x62\x61\x64\x5f\x74\
\x69\x6d\x65\x72\x5f\x63\x62\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\
\x65\0\x62\x70\x66\x5f\x73\x6f\x63\x6b\0\x62\x70\x66\x5f\x66\x6c\x6f\x77\x5f\
\x6b\x65\x79\x73\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\
\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\
\x30\x2d\x34\x31\x30\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\
\x34\x2e\x30\x2d\x34\x31\x30\x2e\x65\x6c\x39\x2e\x73\x33\x39\x30\x78\x2f\x74\
\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\
\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x61\x73\x79\x6e\x63\
\x5f\x73\x74\x61\x63\x6b\x5f\x64\x65\x70\x74\x68\x2e\x63\0\x73\x74\x61\x74\x69\
\x63\x20\x69\x6e\x74\x20\x74\x69\x6d\x65\x72\x5f\x63\x62\x28\x76\x6f\x69\x64\
\x20\x2a\x6d\x61\x70\x2c\x20\x69\x6e\x74\x20\x2a\x6b\x65\x79\x2c\x20\x73\x74\
\x72\x75\x63\x74\x20\x62\x70\x66\x5f\x74\x69\x6d\x65\x72\x20\x2a\x74\x69\x6d\
\x65\x72\x29\0\x09\x76\x6f\x6c\x61\x74\x69\x6c\x65\x20\x63\x68\x61\x72\x20\x62\
\x75\x66\x5b\x32\x35\x36\x5d\x20\x3d\x20\x7b\x7d\x3b\0\x09\x72\x65\x74\x75\x72\
\x6e\x20\x62\x75\x66\x5b\x36\x39\x5d\x3b\0\x73\x74\x61\x74\x69\x63\x20\x69\x6e\
\x74\x20\x62\x61\x64\x5f\x74\x69\x6d\x65\x72\x5f\x63\x62\x28\x76\x6f\x69\x64\
\x20\x2a\x6d\x61\x70\x2c\x20\x69\x6e\x74\x20\x2a\x6b\x65\x79\x2c\x20\x73\x74\
\x72\x75\x63\x74\x20\x62\x70\x66\x5f\x74\x69\x6d\x65\x72\x20\x2a\x74\x69\x6d\
\x65\x72\x29\0\x09\x76\x6f\x6c\x61\x74\x69\x6c\x65\x20\x63\x68\x61\x72\x20\x62\
\x75\x66\x5b\x33\x30\x30\x5d\x20\x3d\x20\x7b\x7d\x3b\0\x09\x72\x65\x74\x75\x72\
\x6e\x20\x62\x75\x66\x5b\x32\x35\x35\x5d\x20\x2b\x20\x74\x69\x6d\x65\x72\x5f\
\x63\x62\x28\x4e\x55\x4c\x4c\x2c\x20\x4e\x55\x4c\x4c\x2c\x20\x4e\x55\x4c\x4c\
\x29\x3b\0\x69\x6e\x74\x20\x70\x73\x65\x75\x64\x6f\x5f\x63\x61\x6c\x6c\x5f\x63\
\x68\x65\x63\x6b\x28\x73\x74\x72\x75\x63\x74\x20\x5f\x5f\x73\x6b\x5f\x62\x75\
\x66\x66\x20\x2a\x63\x74\x78\x29\0\x09\x65\x6c\x65\x6d\x20\x3d\x20\x62\x70\x66\
\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\x68\
\x6d\x61\x70\x2c\x20\x26\x28\x69\x6e\x74\x29\x7b\x30\x7d\x29\x3b\0\x09\x69\x66\
\x20\x28\x21\x65\x6c\x65\x6d\x29\0\x09\x74\x69\x6d\x65\x72\x5f\x63\x62\x28\x4e\
\x55\x4c\x4c\x2c\x20\x4e\x55\x4c\x4c\x2c\x20\x4e\x55\x4c\x4c\x29\x3b\0\x09\x72\
\x65\x74\x75\x72\x6e\x20\x62\x70\x66\x5f\x74\x69\x6d\x65\x72\x5f\x73\x65\x74\
\x5f\x63\x61\x6c\x6c\x62\x61\x63\x6b\x28\x26\x65\x6c\x65\x6d\x2d\x3e\x74\x69\
\x6d\x65\x72\x2c\x20\x74\x69\x6d\x65\x72\x5f\x63\x62\x29\x20\x2b\x20\x62\x75\
\x66\x5b\x30\x5d\x3b\0\x7d\0\x69\x6e\x74\x20\x61\x73\x79\x6e\x63\x5f\x63\x61\
\x6c\x6c\x5f\x72\x6f\x6f\x74\x5f\x63\x68\x65\x63\x6b\x28\x73\x74\x72\x75\x63\
\x74\x20\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\x20\x2a\x63\x74\x78\x29\0\x09\x72\
\x65\x74\x75\x72\x6e\x20\x62\x70\x66\x5f\x74\x69\x6d\x65\x72\x5f\x73\x65\x74\
\x5f\x63\x61\x6c\x6c\x62\x61\x63\x6b\x28\x26\x65\x6c\x65\x6d\x2d\x3e\x74\x69\
\x6d\x65\x72\x2c\x20\x62\x61\x64\x5f\x74\x69\x6d\x65\x72\x5f\x63\x62\x29\x20\
\x2b\x20\x62\x75\x66\x5b\x30\x5d\x3b\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\
\x6e\x73\x65\0\x2e\x74\x65\x78\x74\0\x74\x63\0\0\0\0\0\0\0\xeb\x9f\x01\0\0\0\0\
\x20\0\0\0\0\0\0\0\x34\0\0\0\x34\0\0\x02\x04\0\0\x02\x38\0\0\0\0\0\0\0\x08\0\0\
\x05\xb5\0\0\0\x02\0\0\0\0\0\0\0\x22\0\0\x01\x48\0\0\0\x26\0\0\x05\xbb\0\0\0\
\x02\0\0\0\0\0\0\0\x1c\0\0\x01\xc8\0\0\0\x23\0\0\0\x10\0\0\x05\xb5\0\0\0\x0a\0\
\0\0\0\0\0\x02\xe8\0\0\x03\x65\0\0\x4c\0\0\0\0\x08\0\0\x02\xe8\0\0\x03\xa7\0\0\
\x54\x10\0\0\x01\x28\0\0\x02\xe8\0\0\x03\xc5\0\0\x58\x09\0\0\x01\x40\0\0\x02\
\xe8\0\0\x03\xc5\0\0\x58\x02\0\0\x01\x48\0\0\x02\xe8\0\0\x03\xd6\0\0\x68\0\0\0\
\x01\x50\0\0\x02\xe8\0\0\x04\x1c\0\0\x70\x10\0\0\x02\xa0\0\0\x02\xe8\0\0\x04\
\x3a\0\0\x74\x09\0\0\x02\xb8\0\0\x02\xe8\0\0\x04\x3a\0\0\x74\x14\0\0\x02\xc0\0\
\0\x02\xe8\0\0\x04\x3a\0\0\x74\x12\0\0\x02\xc8\0\0\x02\xe8\0\0\x04\x3a\0\0\x74\
\x02\0\0\x05\xbb\0\0\0\x15\0\0\0\0\0\0\x02\xe8\0\0\x04\x69\0\0\x88\0\0\0\0\x08\
\0\0\x02\xe8\0\0\x03\xa7\0\0\x94\x10\0\0\x01\x28\0\0\x02\xe8\0\0\x04\x96\0\0\
\x9c\x25\0\0\x01\x38\0\0\x02\xe8\0\0\0\0\0\0\0\0\0\0\x01\x40\0\0\x02\xe8\0\0\
\x04\x96\0\0\x9c\x09\0\0\x01\x60\0\0\x02\xe8\0\0\x04\xc5\0\0\xa0\x06\0\0\x01\
\x68\0\0\x02\xe8\0\0\x04\xd1\0\0\xac\x02\0\0\x01\x70\0\0\x02\xe8\0\0\x04\xee\0\
\0\xb0\x09\0\0\x01\x98\0\0\x02\xe8\0\0\x04\xee\0\0\xb0\x3a\0\0\x01\xa0\0\0\x02\
\xe8\0\0\x04\xee\0\0\xb0\x38\0\0\x01\xb8\0\0\x02\xe8\0\0\x05\x2f\0\0\xb4\x01\0\
\0\x01\xc8\0\0\x02\xe8\0\0\x05\x31\0\0\xc4\0\0\0\x01\xd0\0\0\x02\xe8\0\0\x03\
\xa7\0\0\xd0\x10\0\0\x02\xf0\0\0\x02\xe8\0\0\x04\x96\0\0\xd8\x25\0\0\x03\0\0\0\
\x02\xe8\0\0\0\0\0\0\0\0\0\0\x03\x08\0\0\x02\xe8\0\0\x04\x96\0\0\xd8\x09\0\0\
\x03\x20\0\0\x02\xe8\0\0\x04\xc5\0\0\xdc\x06\0\0\x03\x28\0\0\x02\xe8\0\0\x05\
\x62\0\0\xe8\x09\0\0\x03\x50\0\0\x02\xe8\0\0\x05\x62\0\0\xe8\x3e\0\0\x03\x58\0\
\0\x02\xe8\0\0\x05\x62\0\0\xe8\x3c\0\0\x03\x70\0\0\x02\xe8\0\0\x05\x2f\0\0\xec\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\
\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xab\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xf0\0\0\0\0\0\0\x01\x20\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x02\x10\0\0\0\0\0\0\x02\xd0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\
\0\0\0\0\0\0\0\0\0\0\x17\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x04\xe0\0\0\0\0\0\0\x03\x80\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\0\0\0\0\x1a\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x60\0\
\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x20\0\
\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x80\0\0\0\0\0\0\0\
\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x96\0\0\0\x09\0\0\
\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x88\0\0\0\0\0\0\0\x50\0\0\0\x02\
\0\0\0\x04\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\x9d\0\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\xd8\0\0\0\0\0\0\x0a\x82\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\xa2\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x13\x60\0\0\0\0\0\0\x02\x58\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0";
}

#ifdef __cplusplus
struct async_stack_depth *async_stack_depth::open(const struct bpf_object_open_opts *opts) { return async_stack_depth__open_opts(opts); }
struct async_stack_depth *async_stack_depth::open_and_load() { return async_stack_depth__open_and_load(); }
int async_stack_depth::load(struct async_stack_depth *skel) { return async_stack_depth__load(skel); }
int async_stack_depth::attach(struct async_stack_depth *skel) { return async_stack_depth__attach(skel); }
void async_stack_depth::detach(struct async_stack_depth *skel) { async_stack_depth__detach(skel); }
void async_stack_depth::destroy(struct async_stack_depth *skel) { async_stack_depth__destroy(skel); }
const void *async_stack_depth::elf_bytes(size_t *sz) { return async_stack_depth__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
async_stack_depth__assert(struct async_stack_depth *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __ASYNC_STACK_DEPTH_SKEL_H__ */
