/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __VERIFIER_LOOPS1_SKEL_H__
#define __VERIFIER_LOOPS1_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct verifier_loops1 {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *bounded_loop_count_to_4;
		struct bpf_program *loop_containing_a_forward_jump;
		struct bpf_program *back_jump_to_1st_insn_1;
		struct bpf_program *back_jump_to_1st_insn_2;
		struct bpf_program *jump_to_1st_insn_2;
		struct bpf_program *bounded_loop_count_to_20;
		struct bpf_program *from_positive_unknown_to_4;
		struct bpf_program *from_totally_unknown_to_4;
		struct bpf_program *count_to_4_with_equality;
		struct bpf_program *loop_start_in_the_middle;
		struct bpf_program *jumps_out_rather_than_in;
		struct bpf_program *loop_after_a_conditional_jump;
		struct bpf_program *bounded_recursion;
		struct bpf_program *infinite_loop_in_two_jumps;
		struct bpf_program *infinite_loop_three_jump_trick;
	} progs;
	struct {
		struct bpf_link *bounded_loop_count_to_4;
		struct bpf_link *loop_containing_a_forward_jump;
		struct bpf_link *back_jump_to_1st_insn_1;
		struct bpf_link *back_jump_to_1st_insn_2;
		struct bpf_link *jump_to_1st_insn_2;
		struct bpf_link *bounded_loop_count_to_20;
		struct bpf_link *from_positive_unknown_to_4;
		struct bpf_link *from_totally_unknown_to_4;
		struct bpf_link *count_to_4_with_equality;
		struct bpf_link *loop_start_in_the_middle;
		struct bpf_link *jumps_out_rather_than_in;
		struct bpf_link *loop_after_a_conditional_jump;
		struct bpf_link *bounded_recursion;
		struct bpf_link *infinite_loop_in_two_jumps;
		struct bpf_link *infinite_loop_three_jump_trick;
	} links;

#ifdef __cplusplus
	static inline struct verifier_loops1 *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct verifier_loops1 *open_and_load();
	static inline int load(struct verifier_loops1 *skel);
	static inline int attach(struct verifier_loops1 *skel);
	static inline void detach(struct verifier_loops1 *skel);
	static inline void destroy(struct verifier_loops1 *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
verifier_loops1__destroy(struct verifier_loops1 *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
verifier_loops1__create_skeleton(struct verifier_loops1 *obj);

static inline struct verifier_loops1 *
verifier_loops1__open_opts(const struct bpf_object_open_opts *opts)
{
	struct verifier_loops1 *obj;
	int err;

	obj = (struct verifier_loops1 *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = verifier_loops1__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	verifier_loops1__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct verifier_loops1 *
verifier_loops1__open(void)
{
	return verifier_loops1__open_opts(NULL);
}

static inline int
verifier_loops1__load(struct verifier_loops1 *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct verifier_loops1 *
verifier_loops1__open_and_load(void)
{
	struct verifier_loops1 *obj;
	int err;

	obj = verifier_loops1__open();
	if (!obj)
		return NULL;
	err = verifier_loops1__load(obj);
	if (err) {
		verifier_loops1__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
verifier_loops1__attach(struct verifier_loops1 *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
verifier_loops1__detach(struct verifier_loops1 *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *verifier_loops1__elf_bytes(size_t *sz);

static inline int
verifier_loops1__create_skeleton(struct verifier_loops1 *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "verifier_loops1";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 15;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "bounded_loop_count_to_4";
	s->progs[0].prog = &obj->progs.bounded_loop_count_to_4;
	s->progs[0].link = &obj->links.bounded_loop_count_to_4;

	s->progs[1].name = "loop_containing_a_forward_jump";
	s->progs[1].prog = &obj->progs.loop_containing_a_forward_jump;
	s->progs[1].link = &obj->links.loop_containing_a_forward_jump;

	s->progs[2].name = "back_jump_to_1st_insn_1";
	s->progs[2].prog = &obj->progs.back_jump_to_1st_insn_1;
	s->progs[2].link = &obj->links.back_jump_to_1st_insn_1;

	s->progs[3].name = "back_jump_to_1st_insn_2";
	s->progs[3].prog = &obj->progs.back_jump_to_1st_insn_2;
	s->progs[3].link = &obj->links.back_jump_to_1st_insn_2;

	s->progs[4].name = "jump_to_1st_insn_2";
	s->progs[4].prog = &obj->progs.jump_to_1st_insn_2;
	s->progs[4].link = &obj->links.jump_to_1st_insn_2;

	s->progs[5].name = "bounded_loop_count_to_20";
	s->progs[5].prog = &obj->progs.bounded_loop_count_to_20;
	s->progs[5].link = &obj->links.bounded_loop_count_to_20;

	s->progs[6].name = "from_positive_unknown_to_4";
	s->progs[6].prog = &obj->progs.from_positive_unknown_to_4;
	s->progs[6].link = &obj->links.from_positive_unknown_to_4;

	s->progs[7].name = "from_totally_unknown_to_4";
	s->progs[7].prog = &obj->progs.from_totally_unknown_to_4;
	s->progs[7].link = &obj->links.from_totally_unknown_to_4;

	s->progs[8].name = "count_to_4_with_equality";
	s->progs[8].prog = &obj->progs.count_to_4_with_equality;
	s->progs[8].link = &obj->links.count_to_4_with_equality;

	s->progs[9].name = "loop_start_in_the_middle";
	s->progs[9].prog = &obj->progs.loop_start_in_the_middle;
	s->progs[9].link = &obj->links.loop_start_in_the_middle;

	s->progs[10].name = "jumps_out_rather_than_in";
	s->progs[10].prog = &obj->progs.jumps_out_rather_than_in;
	s->progs[10].link = &obj->links.jumps_out_rather_than_in;

	s->progs[11].name = "loop_after_a_conditional_jump";
	s->progs[11].prog = &obj->progs.loop_after_a_conditional_jump;
	s->progs[11].link = &obj->links.loop_after_a_conditional_jump;

	s->progs[12].name = "bounded_recursion";
	s->progs[12].prog = &obj->progs.bounded_recursion;
	s->progs[12].link = &obj->links.bounded_recursion;

	s->progs[13].name = "infinite_loop_in_two_jumps";
	s->progs[13].prog = &obj->progs.infinite_loop_in_two_jumps;
	s->progs[13].link = &obj->links.infinite_loop_in_two_jumps;

	s->progs[14].name = "infinite_loop_three_jump_trick";
	s->progs[14].prog = &obj->progs.infinite_loop_three_jump_trick;
	s->progs[14].link = &obj->links.infinite_loop_three_jump_trick;

	s->data = (void *)verifier_loops1__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *verifier_loops1__elf_bytes(size_t *sz)
{
	*sz = 6680;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x17\x58\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0b\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\x65\
\x78\x74\0\x78\x64\x70\0\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\0\x6c\x69\x63\
\x65\x6e\x73\x65\0\x76\x65\x72\x69\x66\x69\x65\x72\x5f\x6c\x6f\x6f\x70\x73\x31\
\x2e\x63\0\x6c\x30\x5f\x30\0\x6c\x30\x5f\x31\0\x6c\x30\x5f\x32\0\x6c\x31\x5f\
\x32\0\x6c\x30\x5f\x33\0\x6c\x30\x5f\x34\0\x6c\x30\x5f\x35\0\x6c\x31\x5f\x35\0\
\x6c\x31\x5f\x36\0\x6c\x30\x5f\x36\0\x6c\x31\x5f\x37\0\x6c\x30\x5f\x37\0\x6c\
\x30\x5f\x38\0\x6c\x31\x5f\x38\0\x62\x6f\x75\x6e\x64\x65\x64\x5f\x72\x65\x63\
\x75\x72\x73\x69\x6f\x6e\x5f\x5f\x31\0\x6c\x30\x5f\x39\0\x6c\x31\x5f\x31\x30\0\
\x6c\x30\x5f\x31\x30\0\x6c\x32\x5f\x31\x31\0\x6c\x30\x5f\x31\x31\0\x6c\x31\x5f\
\x31\x31\0\x6c\x30\x5f\x31\x32\0\x62\x61\x63\x6b\x5f\x6a\x75\x6d\x70\x5f\x74\
\x6f\x5f\x31\x73\x74\x5f\x69\x6e\x73\x6e\x5f\x32\x5f\x5f\x31\0\x6c\x30\x5f\x31\
\x33\0\x6a\x75\x6d\x70\x5f\x74\x6f\x5f\x31\x73\x74\x5f\x69\x6e\x73\x6e\x5f\x32\
\x5f\x5f\x31\0\x6c\x30\x5f\x31\x34\0\x62\x6f\x75\x6e\x64\x65\x64\x5f\x6c\x6f\
\x6f\x70\x5f\x63\x6f\x75\x6e\x74\x5f\x74\x6f\x5f\x34\0\x62\x6f\x75\x6e\x64\x65\
\x64\x5f\x6c\x6f\x6f\x70\x5f\x63\x6f\x75\x6e\x74\x5f\x74\x6f\x5f\x32\x30\0\x66\
\x72\x6f\x6d\x5f\x70\x6f\x73\x69\x74\x69\x76\x65\x5f\x75\x6e\x6b\x6e\x6f\x77\
\x6e\x5f\x74\x6f\x5f\x34\0\x66\x72\x6f\x6d\x5f\x74\x6f\x74\x61\x6c\x6c\x79\x5f\
\x75\x6e\x6b\x6e\x6f\x77\x6e\x5f\x74\x6f\x5f\x34\0\x63\x6f\x75\x6e\x74\x5f\x74\
\x6f\x5f\x34\x5f\x77\x69\x74\x68\x5f\x65\x71\x75\x61\x6c\x69\x74\x79\0\x6c\x6f\
\x6f\x70\x5f\x73\x74\x61\x72\x74\x5f\x69\x6e\x5f\x74\x68\x65\x5f\x6d\x69\x64\
\x64\x6c\x65\0\x6c\x6f\x6f\x70\x5f\x63\x6f\x6e\x74\x61\x69\x6e\x69\x6e\x67\x5f\
\x61\x5f\x66\x6f\x72\x77\x61\x72\x64\x5f\x6a\x75\x6d\x70\0\x6a\x75\x6d\x70\x73\
\x5f\x6f\x75\x74\x5f\x72\x61\x74\x68\x65\x72\x5f\x74\x68\x61\x6e\x5f\x69\x6e\0\
\x6c\x6f\x6f\x70\x5f\x61\x66\x74\x65\x72\x5f\x61\x5f\x63\x6f\x6e\x64\x69\x74\
\x69\x6f\x6e\x61\x6c\x5f\x6a\x75\x6d\x70\0\x62\x6f\x75\x6e\x64\x65\x64\x5f\x72\
\x65\x63\x75\x72\x73\x69\x6f\x6e\0\x69\x6e\x66\x69\x6e\x69\x74\x65\x5f\x6c\x6f\
\x6f\x70\x5f\x69\x6e\x5f\x74\x77\x6f\x5f\x6a\x75\x6d\x70\x73\0\x69\x6e\x66\x69\
\x6e\x69\x74\x65\x5f\x6c\x6f\x6f\x70\x5f\x74\x68\x72\x65\x65\x5f\x6a\x75\x6d\
\x70\x5f\x74\x72\x69\x63\x6b\0\x62\x61\x63\x6b\x5f\x6a\x75\x6d\x70\x5f\x74\x6f\
\x5f\x31\x73\x74\x5f\x69\x6e\x73\x6e\x5f\x31\0\x62\x61\x63\x6b\x5f\x6a\x75\x6d\
\x70\x5f\x74\x6f\x5f\x31\x73\x74\x5f\x69\x6e\x73\x6e\x5f\x32\0\x6a\x75\x6d\x70\
\x5f\x74\x6f\x5f\x31\x73\x74\x5f\x69\x6e\x73\x6e\x5f\x32\0\x5f\x6c\x69\x63\x65\
\x6e\x73\x65\0\x2e\x72\x65\x6c\x78\x64\x70\0\x2e\x72\x65\x6c\x74\x72\x61\x63\
\x65\x70\x6f\x69\x6e\x74\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2e\x04\0\xff\
\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x03\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\
\x04\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x05\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x45\0\0\0\x05\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x4a\0\
\0\0\x05\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\x4f\0\0\0\x05\0\0\0\0\0\0\0\
\x30\0\0\0\0\0\0\0\0\0\0\0\x54\0\0\0\x05\0\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\
\0\x59\0\0\0\x05\0\0\0\0\0\0\0\x70\0\0\0\0\0\0\0\0\0\0\0\x5e\0\0\0\x05\0\0\0\0\
\0\0\0\xa0\0\0\0\0\0\0\0\0\0\0\0\x63\0\0\0\x05\0\0\0\0\0\0\0\x98\0\0\0\0\0\0\0\
\0\0\0\0\x68\0\0\0\x04\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\0\0\0\0\x6d\0\0\0\x04\0\
\0\0\0\0\0\0\x38\0\0\0\0\0\0\0\0\0\0\0\x72\0\0\0\x05\0\0\0\0\0\0\0\xb8\0\0\0\0\
\0\0\0\0\0\0\0\x77\0\0\0\x05\0\0\0\0\0\0\0\xd8\0\0\0\0\0\0\0\0\0\0\0\x7c\0\0\0\
\x05\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\x81\0\0\0\x05\0\0\0\0\0\0\0\xf0\0\
\0\0\0\0\0\0\0\0\0\0\x86\x02\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\
\x9b\0\0\0\x03\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\xa0\0\0\0\x05\0\0\0\0\0\
\0\x01\x28\0\0\0\0\0\0\0\0\0\0\0\xa6\0\0\0\x05\0\0\0\0\0\0\x01\x30\0\0\0\0\0\0\
\0\0\0\0\0\xac\0\0\0\x05\0\0\0\0\0\0\x01\x48\0\0\0\0\0\0\0\0\0\0\0\xb2\0\0\0\
\x05\0\0\0\0\0\0\x01\x68\0\0\0\0\0\0\0\0\0\0\0\xb8\0\0\0\x05\0\0\0\0\0\0\x01\
\x88\0\0\0\0\0\0\0\0\0\0\0\xbe\0\0\0\x04\0\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\0\0\0\
\0\xc4\x02\0\0\x03\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x28\0\0\0\xdf\0\0\0\x03\0\0\
\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\xe5\x02\0\0\x03\0\0\0\0\0\0\0\x58\0\0\0\0\
\0\0\0\x28\0\0\0\xfb\0\0\0\x03\0\0\0\0\0\0\0\x58\0\0\0\0\0\0\0\0\0\0\x01\x01\
\x12\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\x01\x19\x12\0\0\x05\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\x01\x32\x12\0\0\x05\0\0\0\0\0\0\0\x20\0\0\0\0\0\
\0\0\x28\0\0\x01\x4d\x12\0\0\x05\0\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\x20\0\0\x01\
\x67\x12\0\0\x05\0\0\0\0\0\0\0\x68\0\0\0\0\0\0\0\x20\0\0\x01\x80\x12\0\0\x05\0\
\0\0\0\0\0\0\x88\0\0\0\0\0\0\0\x28\0\0\x01\x99\x12\0\0\x04\0\0\0\0\0\0\0\x20\0\
\0\0\0\0\0\0\x28\0\0\x01\xb8\x12\0\0\x05\0\0\0\0\0\0\0\xb0\0\0\0\0\0\0\0\x30\0\
\0\x01\xd1\x12\0\0\x05\0\0\0\0\0\0\0\xe0\0\0\0\0\0\0\0\x28\0\0\x01\xef\x12\0\0\
\x05\0\0\0\0\0\0\x01\x08\0\0\0\0\0\0\0\x18\0\0\x02\x01\x12\0\0\x05\0\0\0\0\0\0\
\x01\x20\0\0\0\0\0\0\0\x20\0\0\x02\x1c\x12\0\0\x05\0\0\0\0\0\0\x01\x40\0\0\0\0\
\0\0\0\x68\0\0\x02\x3b\x12\0\0\x04\0\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\x18\0\0\x02\
\x53\x12\0\0\x04\0\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\x20\0\0\x02\x6b\x12\0\0\x04\0\
\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\x20\0\0\x02\x7e\x11\0\0\x06\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x04\x07\x10\0\0\0\0\0\x01\xbf\x01\0\0\0\0\0\0\xa5\x10\0\x01\0\0\0\
\x04\x95\0\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xfb\x95\0\0\0\0\0\0\0\x0f\x21\0\
\0\0\0\0\0\x17\x10\0\0\0\0\0\x01\x55\x10\xff\xfd\0\0\0\0\xbf\x02\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\x0f\x21\0\0\0\0\0\0\x17\x10\0\0\0\0\0\x01\x56\x10\xff\xfd\0\
\0\0\0\xbf\x02\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x07\0\0\0\0\0\0\
\x01\xa5\0\xff\xfe\0\0\0\x04\x95\0\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x07\0\0\0\0\0\
\0\x01\x1d\0\0\0\0\0\0\0\xa5\0\xff\xfd\0\0\0\x04\x95\0\0\0\0\0\0\0\xb7\0\0\0\0\
\0\0\x7b\x15\0\xff\xfe\0\0\0\x04\x95\0\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\x0a\xb7\
\x20\0\0\0\0\0\0\x85\x01\0\0\0\0\0\x05\x95\0\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\x0a\
\xb7\x20\0\0\0\0\0\0\x85\x01\0\0\0\0\0\x0a\x95\0\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\
\x07\0\0\0\0\0\0\x03\xa5\0\xff\xfe\0\0\0\x14\x95\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\
\x07\xc5\0\0\x02\0\0\0\0\x07\0\0\0\0\0\0\x01\xa5\0\xff\xfe\0\0\0\x04\x95\0\0\0\
\0\0\0\0\x85\0\0\0\0\0\0\x07\x07\0\0\0\0\0\0\x01\xa5\0\xff\xfe\0\0\0\x04\x95\0\
\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x07\0\0\0\0\0\0\x01\x55\0\xff\xfe\0\0\0\x04\x95\
\0\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x05\0\0\x01\0\0\0\0\x07\0\0\0\0\0\0\x01\xa5\0\
\xff\xfe\0\0\0\x04\x95\0\0\0\0\0\0\0\xb7\x60\0\0\0\0\0\0\x07\x60\0\0\0\0\0\x01\
\x25\x60\0\x02\0\0\x27\x10\x85\0\0\0\0\0\0\x07\x05\0\xff\xfc\0\0\0\0\x95\0\0\0\
\0\0\0\0\xb7\0\0\0\0\0\0\x05\xa5\0\0\x02\0\0\0\x04\x07\0\0\0\0\0\0\x01\x05\0\
\xff\xfe\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\
\xff\x95\0\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x05\0\0\0\0\0\0\0\xa5\0\xff\xfe\0\0\0\
\x04\x95\0\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x07\0\0\0\0\0\0\x01\x57\0\0\0\0\0\0\
\x01\xa5\0\0\x01\0\0\0\x02\x95\0\0\0\0\0\0\0\x07\0\0\0\0\0\0\x01\x57\0\0\0\0\0\
\0\x01\xa5\0\0\x01\0\0\0\x02\x95\0\0\0\0\0\0\0\x07\0\0\0\0\0\0\x01\x57\0\0\0\0\
\0\0\x01\xa5\0\xff\xf5\0\0\0\x02\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\
\0\0\0\0\x70\0\0\0\x02\0\0\0\x0a\0\0\0\0\0\0\0\x90\0\0\0\x02\0\0\0\x0a\0\0\0\0\
\0\0\x01\x10\0\0\0\x02\0\0\0\x0a\xeb\x9f\x01\0\0\0\0\x18\0\0\0\0\0\0\x03\xc4\0\
\0\x03\xc4\0\0\x07\x16\0\0\0\0\x0d\0\0\0\0\0\0\0\0\0\0\x01\x0c\0\0\x01\0\0\0\
\x01\0\0\0\x19\x11\0\0\0\0\0\0\x02\xff\xff\xff\xff\0\0\0\x4b\x11\0\0\0\0\0\0\
\x02\xff\xff\xff\xff\0\0\0\x67\x11\0\0\0\0\0\0\x02\xff\xff\xff\xff\0\0\0\x7d\
\x0c\0\0\x01\0\0\0\x01\0\0\0\x96\x11\0\0\0\0\0\0\x06\xff\xff\xff\xff\0\0\0\x4b\
\x11\0\0\0\0\0\0\x06\xff\xff\xff\xff\0\0\0\xc9\x0c\0\0\x01\0\0\0\x01\0\0\0\xe4\
\x11\0\0\0\0\0\0\x09\xff\xff\xff\xff\0\0\0\x4b\x11\0\0\0\0\0\0\x09\xff\xff\xff\
\xff\0\0\x01\x2c\x0c\0\0\x01\0\0\0\x01\0\0\x01\x46\x11\0\0\0\0\0\0\x0c\xff\xff\
\xff\xff\0\0\0\x4b\x11\0\0\0\0\0\0\x0c\xff\xff\xff\xff\0\0\x01\x8d\x0c\0\0\x01\
\0\0\0\x01\0\0\x01\xa6\x11\0\0\0\0\0\0\x0f\xff\xff\xff\xff\0\0\0\x4b\x11\0\0\0\
\0\0\0\x0f\xff\xff\xff\xff\0\0\x01\xe6\x0c\0\0\x01\0\0\0\x01\0\0\x01\xff\x11\0\
\0\0\0\0\0\x12\xff\xff\xff\xff\0\0\x02\x3a\x11\0\0\0\0\0\0\x12\xff\xff\xff\xff\
\0\0\x02\x56\x11\0\0\0\0\0\0\x12\xff\xff\xff\xff\0\0\x02\x78\x0c\0\0\x01\0\0\0\
\x01\0\0\x02\x97\x11\0\0\0\0\0\0\x16\xff\xff\xff\xff\0\0\0\x4b\x11\0\0\0\0\0\0\
\x16\xff\xff\xff\xff\0\0\0\x67\x11\0\0\0\0\0\0\x16\xff\xff\xff\xff\0\0\x02\xd7\
\x0c\0\0\x01\0\0\0\x01\0\0\x02\xf0\x11\0\0\0\0\0\0\x1a\xff\xff\xff\xff\0\0\0\
\x4b\x11\0\0\0\0\0\0\x1a\xff\xff\xff\xff\0\0\x03\x34\x0c\0\0\x01\0\0\0\x01\0\0\
\x03\x52\x11\0\0\0\0\0\0\x1d\xff\xff\xff\xff\0\0\x02\x3a\x11\0\0\0\0\0\0\x1d\
\xff\xff\xff\xff\0\0\x03\x92\x11\0\0\0\0\0\0\x1d\xff\xff\xff\xff\0\0\x03\xbf\
\x0c\0\0\x01\0\0\0\x01\0\0\x03\xd1\x11\0\0\0\0\0\0\x21\xff\xff\xff\xff\0\0\x02\
\x3a\x11\0\0\0\0\0\0\x21\xff\xff\xff\xff\0\0\x02\x56\x11\0\0\0\0\0\0\x21\xff\
\xff\xff\xff\0\0\x03\xfc\x0c\0\0\0\0\0\0\x01\0\0\x04\x11\x0c\0\0\x01\0\0\0\x01\
\0\0\x04\x2c\x11\0\0\0\0\0\0\x26\xff\xff\xff\xff\0\0\x02\x3a\x11\0\0\0\0\0\0\
\x26\xff\xff\xff\xff\0\0\x04\x60\x11\0\0\0\0\0\0\x26\xff\xff\xff\xff\0\0\x04\
\x86\x0c\0\0\x01\0\0\0\x01\0\0\x04\xa5\x11\0\0\0\0\0\0\x2a\xff\xff\xff\xff\0\0\
\x02\x3a\x11\0\0\0\0\0\0\x2a\xff\xff\xff\xff\0\0\x04\x60\x11\0\0\0\0\0\0\x2a\
\xff\xff\xff\xff\0\0\x04\xde\x0c\0\0\x01\0\0\0\x01\0\0\x04\xf6\x11\0\0\0\0\0\0\
\x2e\xff\xff\xff\xff\0\0\0\x4b\x11\0\0\0\0\0\0\x2e\xff\xff\xff\xff\0\0\x05\x39\
\x11\0\0\0\0\0\0\x2e\xff\xff\xff\xff\0\0\x05\x51\x0c\0\0\x01\0\0\0\x01\0\0\x05\
\x69\x11\0\0\0\0\0\0\x32\xff\xff\xff\xff\0\0\0\x4b\x11\0\0\0\0\0\0\x32\xff\xff\
\xff\xff\0\0\x05\xa8\x11\0\0\0\0\0\0\x32\xff\xff\xff\xff\0\0\x05\xbf\x0c\0\0\0\
\0\0\0\x01\0\0\x05\xda\x0c\0\0\x01\0\0\0\x01\0\0\x05\xed\x11\0\0\0\0\0\0\x37\
\xff\xff\xff\xff\0\0\0\x4b\x11\0\0\0\0\0\0\x37\xff\xff\xff\xff\0\0\x05\xa8\x11\
\0\0\0\0\0\0\x37\xff\xff\xff\xff\0\0\x06\x2f\x0c\0\0\0\0\0\0\x01\0\0\x06\x45\
\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x3c\0\0\0\x3e\
\0\0\0\x04\0\0\x06\x4a\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\x06\x5e\x0e\0\0\0\0\0\
\0\x3d\0\0\0\x01\0\0\x06\xf9\x0f\0\0\x01\0\0\0\x04\0\0\0\x3f\0\0\0\0\0\0\0\x04\
\0\x62\x6f\x75\x6e\x64\x65\x64\x5f\x6c\x6f\x6f\x70\x5f\x63\x6f\x75\x6e\x74\x5f\
\x74\x6f\x5f\x34\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\
\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x62\x6f\x75\x6e\x64\x65\x64\x20\x6c\
\x6f\x6f\x70\x2c\x20\x63\x6f\x75\x6e\x74\x20\x74\x6f\x20\x34\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x73\x75\x63\
\x63\x65\x73\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x72\x65\
\x74\x76\x61\x6c\x3d\x34\0\x62\x6f\x75\x6e\x64\x65\x64\x5f\x6c\x6f\x6f\x70\x5f\
\x63\x6f\x75\x6e\x74\x5f\x74\x6f\x5f\x32\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x62\x6f\
\x75\x6e\x64\x65\x64\x20\x6c\x6f\x6f\x70\x2c\x20\x63\x6f\x75\x6e\x74\x20\x74\
\x6f\x20\x32\x30\0\x66\x72\x6f\x6d\x5f\x70\x6f\x73\x69\x74\x69\x76\x65\x5f\x75\
\x6e\x6b\x6e\x6f\x77\x6e\x5f\x74\x6f\x5f\x34\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x62\x6f\
\x75\x6e\x64\x65\x64\x20\x6c\x6f\x6f\x70\x2c\x20\x63\x6f\x75\x6e\x74\x20\x66\
\x72\x6f\x6d\x20\x70\x6f\x73\x69\x74\x69\x76\x65\x20\x75\x6e\x6b\x6e\x6f\x77\
\x6e\x20\x74\x6f\x20\x34\0\x66\x72\x6f\x6d\x5f\x74\x6f\x74\x61\x6c\x6c\x79\x5f\
\x75\x6e\x6b\x6e\x6f\x77\x6e\x5f\x74\x6f\x5f\x34\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x62\
\x6f\x75\x6e\x64\x65\x64\x20\x6c\x6f\x6f\x70\x2c\x20\x63\x6f\x75\x6e\x74\x20\
\x66\x72\x6f\x6d\x20\x74\x6f\x74\x61\x6c\x6c\x79\x20\x75\x6e\x6b\x6e\x6f\x77\
\x6e\x20\x74\x6f\x20\x34\0\x63\x6f\x75\x6e\x74\x5f\x74\x6f\x5f\x34\x5f\x77\x69\
\x74\x68\x5f\x65\x71\x75\x61\x6c\x69\x74\x79\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x62\x6f\
\x75\x6e\x64\x65\x64\x20\x6c\x6f\x6f\x70\x2c\x20\x63\x6f\x75\x6e\x74\x20\x74\
\x6f\x20\x34\x20\x77\x69\x74\x68\x20\x65\x71\x75\x61\x6c\x69\x74\x79\0\x6c\x6f\
\x6f\x70\x5f\x73\x74\x61\x72\x74\x5f\x69\x6e\x5f\x74\x68\x65\x5f\x6d\x69\x64\
\x64\x6c\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\
\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x62\x6f\x75\x6e\x64\x65\x64\x20\x6c\x6f\
\x6f\x70\x2c\x20\x73\x74\x61\x72\x74\x20\x69\x6e\x20\x74\x68\x65\x20\x6d\x69\
\x64\x64\x6c\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\
\x70\x65\x63\x74\x5f\x66\x61\x69\x6c\x75\x72\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x62\x61\
\x63\x6b\x2d\x65\x64\x67\x65\0\x6c\x6f\x6f\x70\x5f\x63\x6f\x6e\x74\x61\x69\x6e\
\x69\x6e\x67\x5f\x61\x5f\x66\x6f\x72\x77\x61\x72\x64\x5f\x6a\x75\x6d\x70\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\
\x74\x69\x6f\x6e\x3d\x62\x6f\x75\x6e\x64\x65\x64\x20\x6c\x6f\x6f\x70\x20\x63\
\x6f\x6e\x74\x61\x69\x6e\x69\x6e\x67\x20\x61\x20\x66\x6f\x72\x77\x61\x72\x64\
\x20\x6a\x75\x6d\x70\0\x6a\x75\x6d\x70\x73\x5f\x6f\x75\x74\x5f\x72\x61\x74\x68\
\x65\x72\x5f\x74\x68\x61\x6e\x5f\x69\x6e\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x62\x6f\x75\
\x6e\x64\x65\x64\x20\x6c\x6f\x6f\x70\x20\x74\x68\x61\x74\x20\x6a\x75\x6d\x70\
\x73\x20\x6f\x75\x74\x20\x72\x61\x74\x68\x65\x72\x20\x74\x68\x61\x6e\x20\x69\
\x6e\0\x6c\x6f\x6f\x70\x5f\x61\x66\x74\x65\x72\x5f\x61\x5f\x63\x6f\x6e\x64\x69\
\x74\x69\x6f\x6e\x61\x6c\x5f\x6a\x75\x6d\x70\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x69\x6e\
\x66\x69\x6e\x69\x74\x65\x20\x6c\x6f\x6f\x70\x20\x61\x66\x74\x65\x72\x20\x61\
\x20\x63\x6f\x6e\x64\x69\x74\x69\x6f\x6e\x61\x6c\x20\x6a\x75\x6d\x70\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\
\x73\x67\x3d\x70\x72\x6f\x67\x72\x61\x6d\x20\x69\x73\x20\x74\x6f\x6f\x20\x6c\
\x61\x72\x67\x65\0\x62\x6f\x75\x6e\x64\x65\x64\x5f\x72\x65\x63\x75\x72\x73\x69\
\x6f\x6e\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\
\x72\x69\x70\x74\x69\x6f\x6e\x3d\x62\x6f\x75\x6e\x64\x65\x64\x20\x72\x65\x63\
\x75\x72\x73\x69\x6f\x6e\0\x62\x6f\x75\x6e\x64\x65\x64\x5f\x72\x65\x63\x75\x72\
\x73\x69\x6f\x6e\x5f\x5f\x31\0\x69\x6e\x66\x69\x6e\x69\x74\x65\x5f\x6c\x6f\x6f\
\x70\x5f\x69\x6e\x5f\x74\x77\x6f\x5f\x6a\x75\x6d\x70\x73\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\
\x3d\x69\x6e\x66\x69\x6e\x69\x74\x65\x20\x6c\x6f\x6f\x70\x20\x69\x6e\x20\x74\
\x77\x6f\x20\x6a\x75\x6d\x70\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6c\x6f\x6f\x70\x20\x64\
\x65\x74\x65\x63\x74\x65\x64\0\x69\x6e\x66\x69\x6e\x69\x74\x65\x5f\x6c\x6f\x6f\
\x70\x5f\x74\x68\x72\x65\x65\x5f\x6a\x75\x6d\x70\x5f\x74\x72\x69\x63\x6b\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\
\x74\x69\x6f\x6e\x3d\x69\x6e\x66\x69\x6e\x69\x74\x65\x20\x6c\x6f\x6f\x70\x3a\
\x20\x74\x68\x72\x65\x65\x2d\x6a\x75\x6d\x70\x20\x74\x72\x69\x63\x6b\0\x62\x61\
\x63\x6b\x5f\x6a\x75\x6d\x70\x5f\x74\x6f\x5f\x31\x73\x74\x5f\x69\x6e\x73\x6e\
\x5f\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\
\x72\x69\x70\x74\x69\x6f\x6e\x3d\x6e\x6f\x74\x2d\x74\x61\x6b\x65\x6e\x20\x6c\
\x6f\x6f\x70\x20\x77\x69\x74\x68\x20\x62\x61\x63\x6b\x20\x6a\x75\x6d\x70\x20\
\x74\x6f\x20\x31\x73\x74\x20\x69\x6e\x73\x6e\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x72\x65\x74\x76\x61\x6c\x3d\x31\x32\x33\0\x62\x61\x63\x6b\
\x5f\x6a\x75\x6d\x70\x5f\x74\x6f\x5f\x31\x73\x74\x5f\x69\x6e\x73\x6e\x5f\x32\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\
\x70\x74\x69\x6f\x6e\x3d\x74\x61\x6b\x65\x6e\x20\x6c\x6f\x6f\x70\x20\x77\x69\
\x74\x68\x20\x62\x61\x63\x6b\x20\x6a\x75\x6d\x70\x20\x74\x6f\x20\x31\x73\x74\
\x20\x69\x6e\x73\x6e\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x72\
\x65\x74\x76\x61\x6c\x3d\x35\x35\0\x62\x61\x63\x6b\x5f\x6a\x75\x6d\x70\x5f\x74\
\x6f\x5f\x31\x73\x74\x5f\x69\x6e\x73\x6e\x5f\x32\x5f\x5f\x31\0\x6a\x75\x6d\x70\
\x5f\x74\x6f\x5f\x31\x73\x74\x5f\x69\x6e\x73\x6e\x5f\x32\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\
\x3d\x74\x61\x6b\x65\x6e\x20\x6c\x6f\x6f\x70\x20\x77\x69\x74\x68\x20\x62\x61\
\x63\x6b\x20\x6a\x75\x6d\x70\x20\x74\x6f\x20\x31\x73\x74\x20\x69\x6e\x73\x6e\
\x2c\x20\x32\0\x6a\x75\x6d\x70\x5f\x74\x6f\x5f\x31\x73\x74\x5f\x69\x6e\x73\x6e\
\x5f\x32\x5f\x5f\x31\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\
\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\
\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\
\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x34\x31\
\x30\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\
\x34\x31\x30\x2e\x65\x6c\x39\x2e\x73\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\
\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\
\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x76\x65\x72\x69\x66\x69\x65\x72\x5f\
\x6c\x6f\x6f\x70\x73\x31\x2e\x63\0\x09\x61\x73\x6d\x20\x76\x6f\x6c\x61\x74\x69\
\x6c\x65\x20\x28\x22\x09\x09\x09\x09\x09\x5c\0\x6c\x69\x63\x65\x6e\x73\x65\0\
\x2e\x74\x65\x78\x74\0\x78\x64\x70\0\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\0\
\0\0\0\0\0\0\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\0\0\0\xac\0\0\0\xac\0\0\x01\x3c\0\
\0\x01\xe8\0\0\0\0\0\0\0\x08\0\0\x07\x01\0\0\0\x03\0\0\0\0\0\0\0\x25\0\0\0\x30\
\0\0\0\x36\0\0\0\x58\0\0\0\x3b\0\0\x07\x07\0\0\0\x05\0\0\0\0\0\0\0\x02\0\0\0\
\x20\0\0\0\x16\0\0\0\x48\0\0\0\x2e\0\0\0\x60\0\0\0\x32\0\0\0\x80\0\0\0\x37\0\0\
\x07\x0b\0\0\0\x0a\0\0\0\0\0\0\0\x06\0\0\0\x20\0\0\0\x09\0\0\0\x48\0\0\0\x0c\0\
\0\0\x68\0\0\0\x0f\0\0\0\x88\0\0\0\x12\0\0\0\xb0\0\0\0\x1a\0\0\0\xe0\0\0\0\x1d\
\0\0\x01\x08\0\0\0\x21\0\0\x01\x20\0\0\0\x26\0\0\x01\x40\0\0\0\x2a\0\0\0\x10\0\
\0\x07\x01\0\0\0\x03\0\0\0\0\0\0\x06\x67\0\0\x06\xe2\0\x02\x60\x02\0\0\0\x30\0\
\0\x06\x67\0\0\x06\xe2\0\x03\x84\x02\0\0\0\x58\0\0\x06\x67\0\0\x06\xe2\0\x03\
\xe8\x02\0\0\x07\x07\0\0\0\x05\0\0\0\0\0\0\x06\x67\0\0\x06\xe2\0\0\x34\x02\0\0\
\0\x20\0\0\x06\x67\0\0\x06\xe2\0\x01\x84\x02\0\0\0\x48\0\0\x06\x67\0\0\x06\xe2\
\0\x03\x28\x02\0\0\0\x60\0\0\x06\x67\0\0\x06\xe2\0\x03\x58\x02\0\0\0\x80\0\0\
\x06\x67\0\0\x06\xe2\0\x03\xbc\x02\0\0\x07\x0b\0\0\0\x0a\0\0\0\0\0\0\x06\x67\0\
\0\x06\xe2\0\0\x68\x02\0\0\0\x20\0\0\x06\x67\0\0\x06\xe2\0\0\x9c\x02\0\0\0\x48\
\0\0\x06\x67\0\0\x06\xe2\0\0\xdc\x02\0\0\0\x68\0\0\x06\x67\0\0\x06\xe2\0\x01\
\x18\x02\0\0\0\x88\0\0\x06\x67\0\0\x06\xe2\0\x01\x4c\x02\0\0\0\xb0\0\0\x06\x67\
\0\0\x06\xe2\0\x01\xbc\x02\0\0\0\xe0\0\0\x06\x67\0\0\x06\xe2\0\x02\0\x02\0\0\
\x01\x08\0\0\x06\x67\0\0\x06\xe2\0\x02\x38\x02\0\0\x01\x20\0\0\x06\x67\0\0\x06\
\xe2\0\x02\x9c\x02\0\0\x01\x40\0\0\x06\x67\0\0\x06\xe2\0\x02\xd0\x02\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\x20\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\x02\xac\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x02\xf0\0\0\0\0\0\0\x04\x68\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x08\0\
\0\0\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x07\x58\0\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\0\0\0\0\x17\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\xd8\0\
\0\0\0\0\0\0\xa0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x1b\0\
\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x78\0\0\0\0\0\0\x01\
\xa8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x26\0\0\0\x01\0\0\
\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0a\x20\0\0\0\0\0\0\0\x04\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x87\0\0\0\x09\0\0\0\0\0\0\0\
\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0a\x28\0\0\0\0\0\0\0\x20\0\0\0\x02\0\0\0\x04\
\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x02\x8f\0\0\0\x09\0\0\0\0\0\0\0\x40\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x0a\x48\0\0\0\0\0\0\0\x10\0\0\0\x02\0\0\0\x05\0\0\0\
\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x02\x9e\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x0a\x58\0\0\0\0\0\0\x0a\xf2\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\x02\xa3\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x15\x50\0\0\0\0\0\0\x02\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0";
}

#ifdef __cplusplus
struct verifier_loops1 *verifier_loops1::open(const struct bpf_object_open_opts *opts) { return verifier_loops1__open_opts(opts); }
struct verifier_loops1 *verifier_loops1::open_and_load() { return verifier_loops1__open_and_load(); }
int verifier_loops1::load(struct verifier_loops1 *skel) { return verifier_loops1__load(skel); }
int verifier_loops1::attach(struct verifier_loops1 *skel) { return verifier_loops1__attach(skel); }
void verifier_loops1::detach(struct verifier_loops1 *skel) { verifier_loops1__detach(skel); }
void verifier_loops1::destroy(struct verifier_loops1 *skel) { verifier_loops1__destroy(skel); }
const void *verifier_loops1::elf_bytes(size_t *sz) { return verifier_loops1__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
verifier_loops1__assert(struct verifier_loops1 *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __VERIFIER_LOOPS1_SKEL_H__ */
